Bug 535651 - (RHQ-2324) Group alert history disappears, but still shown in subsystem view
Group alert history disappears, but still shown in subsystem view
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
1.3pre
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-13
  Show dependency treegraph
 
Reported: 2009-08-10 17:21 EDT by Jeff Weiss
Modified: 2014-11-09 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
rev4607 oracle/linux
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2009-08-10 17:21:00 EDT
To repeat:

Create a group of platforms, create 2 alert defs on the group that always fire.  Wait for them to fire, delete the 2nd alert def.  The history for the alert has disappeared (should be there).  Then re-create the alert def with the same name if it's still not misbehaving.

Comment 1 Joseph Marques 2009-09-03 07:05:14 EDT
rev5092 - change the semantics of the group alert history page to display any alert under any resource in that group (as opposed to only alerts whose corresponding definition while a child of some active group alert definition); 
Comment 2 Jeff Weiss 2009-09-09 11:12:19 EDT
Alert defs that are removed from the group still retain their history.  However removing resources from the group deletes that resource's alert history from the group history.  I think that's still wrong, but will need to be fixed separately (according to joseph, requires big changes)
rev5122
Comment 3 Red Hat Bugzilla 2009-11-10 16:02:14 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2324

Note You need to log in before you can comment on or make changes to this bug.